module WordmarkHelper
  def suite_wordmark(additional_classes="")
    content_tag(:div, class: "suite-wordmark #{additional_classes}") do
      safe_join [
        content_tag(:span, t("shared.me")),
        content_tag(:span, t("shared.suite"))
      ]
    end
  end

  def product_wordmark(product_name, options = {})
    css = "product-wordmark #{product_name.to_s.dasherize} "
    css += options[:class].to_s

    content_tag(:div, class: css) do
      safe_join [
        content_tag(:span, t("shared.#{product_name}")),
        content_tag(:span, t("shared.me"))
      ]
    end
  end
end
